### Method

# Gio Resource open_stream

since: 2.32

#### Declaration [src]

    GInputStream*
    g_resource_open_stream (
      GResource* resource,
      const char* path,
      GResourceLookupFlags lookup_flags,
      GError** error
    )

#### Description [src]

Looks for a file at the specified `path` in the resource and returns a `GInputStream` that lets you read the data.

`lookup_flags` controls the behaviour of the lookup.

The only error this can return is `G_RESOURCE_ERROR_NOT_FOUND`, if `path` was not found in `resource`.

Available since: 2.32

#### Parameters

`path`

  Type: `const char*`

  A path name inside the resource.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`lookup_flags`

  Type: `GResourceLookupFlags`

  A `GResourceLookupFlags`.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GInputStream`

`GInputStream` or `NULL` on error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.